package com.dotsource.intershop.sofort.payment;

public interface SofortConstants
{

    public final static String SOFORT_ID = "SOFORT";

    // configuration
    public final static String PREF_CONFIG_KEY = "configkey";
    public final static int PREF_CONFIG_KEY_SIZE = 3;
    public final static int PREF_CONFIG_KEY_IDX_USER_ID = 0;
    public final static int PREF_CONFIG_KEY_IDX_PROJECT_ID = 1;
    public final static int PREF_CONFIG_KEY_IDX_API_KEY = 2;
    public final static String PREF_REASON_1 = "reason1";
    public final static String PREF_REASON_2 = "reason2";
    
    // Placeholders in transfer reason fields string
    public final static String PH_START = "\\[\\[";
    public final static String PH_END = "\\]\\]";
    public final static String PH_ORDER_ID = "order_id";
    public final static String PH_ORDER_DATE = "order_date";
    public final static String PH_CUSTOMER_ID = "customer_id";
    public final static String PH_CUSTOMER_NAME = "customer_name";
    public final static String PH_CUSTOMER_COMPANY = "customer_company";
    public final static String PH_TRANSACTION_ID = "transaction_id";
    public final static int MAX_REASON_STRING_LENGTH = 27;
    
    // Templates
    public final static String TEMPLATE_DISPLAY_NAME = "payment/sofort/DisplayName.isml";
    public final static String TEMPLATE_CHECKOUT_INCL_MINI = "payment/sofort/CheckoutPIIMini.isml";
    public final static String TEMPLATE_BO_HISTORY = "payment/sofort/BOPaymentHistory.isml";
    public final static String TEMPLATE_BO_DESCRIPTION = "payment/sofort/BODescription.isml";
    public final static String TEMPLATE_SHOW_PII_INCL_MINI = "payment/sofort/ShowPIIMini.isml";
    public final static String TEMPLATE_PAYMENT_SELECTION_SOFORT = "payment/sofort/PaymentSelectionEntry.isml";
    public final static String TEMPLATE_PAYMENT_HISTORY_ENTRY_SOFORT_PREFIX = "payment/sofort/PaymentHistoryEntry";

    // Transaction states
    public final static String SOFO_TRANSACTION_STATE_LOSS = "LOSS";
    public final static String SOFO_TRANSACTION_STATE_PENDING = "PENDING";
    public final static String SOFO_TRANSACTION_STATE_RECEIVED = "RECEIVED";
    public final static String SOFO_TRANSACTION_STATE_REFUNDED = "REFUNDED";
    public final static String SOFO_TRANSACTION_STATE_UNTRACEABLE = "UNTRACEABLE";

    // Transaction states reasons
    public final static String SOFO_TRANSACTION_STATE_REASON_NOT_CREDITED = "NOT_CREDITED";
    public final static String SOFO_TRANSACTION_STATE_REASON_NOT_CREDITED_YET = "NOT_CREDITED_YET";
    public final static String SOFO_TRANSACTION_STATE_REASON_CREDITED = "CREDITED";
    public final static String SOFO_TRANSACTION_STATE_REASON_COMPENSATION = "COMPENSATION";
    public final static String SOFO_TRANSACTION_STATE_REASON_REFUNDED = "REFUNDED";
    public final static String SOFO_TRANSACTION_STATE_REASON_SBAN = "SOFORT_BANK_ACCOUNT_NEEDED";

    // Transaction map states - sofort_configdef.xml
    public final static String SOFO_MAP_STATE_TEMPORARY = "statustemporary";
    public final static String SOFO_MAP_STATE_CONFIRMED = "statusconfirmed";
    public final static String SOFO_MAP_STATE_ABORTED = "statusaborted";
    public final static String SOFO_MAP_STATE_RECEIVED = "statusreceived";
    public final static String SOFO_MAP_STATE_CHECK_ORDER = "statuscheckorder";
    public final static String SOFO_MAP_STATE_REFUNDED = "statusrefunded";
    public final static String SOFO_MAP_STATE_PARTIAL_REFUNDED = "statuspartialrefunded";
    
    // mapped shop states - sofort_configdef.xml
    public final static String SHOP_MAPPED_STATE_TEMPORARY = "shopstatustemporary";
    public final static String SHOP_MAPPED_STATE_CONFIRMED = "shopstatusconfirmed";
    public final static String SHOP_MAPPED_STATE_ABORTED = "shopstatusaborted";
    public final static String SHOP_MAPPED_STATE_CHECK_ORDER = "shopstatuscheckorder";
    public final static String SHOP_MAPPED_STATE_REFUNDED = "shopstatusrefunded";
    public final static String SHOP_MAPPED_STATE_PARTIAL_REFUNDED = "shopstatuspartialrefunded";
    public final static String SHOP_MAPPED_STATE_NO_CHANGE = "shopstatusnochange";
    public final static String SHOP_MAPPED_STATE_FAILED = "FAILED";

    // Status Result Codes
    public final static String STATUS_RESULT_SUCCESSFUL = "SUCCESSFUL"; // request was processed successfully
    public final static String STATUS_RESULT_FAILED = "FAILED"; // request could not be processed
    
    // Transaction attribute names
    public final static String TRANSACTION_SOFO_AV_CURRENT_MAPPED_STATE = "SofoCurrentMappedState";
    public final static String TRANSACTION_SOFO_AV_REFUNDED_TOTAL_VALUE = "SofoRefundedValue";
    
}
