package com.dotsource.intershop.sofort.payment;

import java.util.ArrayList;
import java.util.Collection;

import com.intershop.beehive.bts.capi.payment.AbstractPaymentCapabilities;
import com.intershop.beehive.bts.capi.payment.ConfigurationParameterDeclaration;
import com.intershop.beehive.bts.capi.payment.PaymentService;

import static com.dotsource.intershop.sofort.payment.SofortConstants.*;

public class SofortPaymentServiceCapabilities extends AbstractPaymentCapabilities
{

    static
    {
        supportedPaymentEvents.add(SOFO_MAP_STATE_TEMPORARY);
        supportedPaymentEvents.add(SOFO_MAP_STATE_CONFIRMED);
        supportedPaymentEvents.add(SOFO_MAP_STATE_ABORTED);
        supportedPaymentEvents.add(SOFO_MAP_STATE_CHECK_ORDER);
        supportedPaymentEvents.add(SOFO_MAP_STATE_RECEIVED);
        supportedPaymentEvents.add(SOFO_MAP_STATE_PARTIAL_REFUNDED);
        supportedPaymentEvents.add(SOFO_MAP_STATE_REFUNDED);
    }

    public SofortPaymentServiceCapabilities(PaymentService service)
    {
        super(service);
    }

    protected Collection<ConfigurationParameterDeclaration> getConfiguration()
    {
        ArrayList<ConfigurationParameterDeclaration> confParamDecl = new ArrayList<ConfigurationParameterDeclaration>();

        return confParamDecl;
    }

    @Override
    public boolean isRedirectForAuthorizationPossiblyRequired()
    {
        return true;
    }

    @Override
    public boolean isPaymentHistorySupported()
    {
        return true;
    }

    public String getCheckoutIncludeMiniTemplate()
    {
        return TEMPLATE_CHECKOUT_INCL_MINI;
    }

    public String getDisplayNameTemplate()
    {
        return TEMPLATE_DISPLAY_NAME;
    }

    @Override
    public String getBODescriptionTemplate()
    {
        return TEMPLATE_BO_DESCRIPTION;
    }

    @Override
    public String getPaymentSelectionEntryTemplate()
    {
        return TEMPLATE_PAYMENT_SELECTION_SOFORT;
    }

    @Override
    public String getPaymentHistoryEntryTemplate(String eventID)
    {
        return TEMPLATE_PAYMENT_HISTORY_ENTRY_SOFORT_PREFIX+eventID+".isml";
    }

}
